<!DOCTYPE html>
<html ng-app="SampleApp">
<head>
    <meta charset="UTF-8">
    <title>ng-show &amp; ng-hide</title>

    <link href="../Libraries/bootstrap.css" rel="stylesheet"/>
    <link href="../Libraries/bootstrap-theme.css" rel="stylesheet">
    <script src="../Libraries/angular.js"></script>

    <script>
        var app = angular.module("SampleApp", []);

        app.controller("SampleAppCtrl", function($scope){

            $scope.styleObj = {
               color: false,
               border: false,
               size: false
            }
        });
    </script>

    <style>
        .color{
           background-color: lightgreen;
        }

        .border{
           border: 1px solid black;
        }

        .size{
           width: 100px;
           height: 100px;
           padding: 10px;
           margin: 10px;
        }

    </style>

</head>
<body ng-controller="SampleAppCtrl">
<div class="container">
    <input type="checkbox" ng-model="styleObj.color"/>Color <br/>
    <input type="checkbox" ng-model="styleObj.border"/>Border <br/>
    <input type="checkbox" ng-model="styleObj.size"/>Size <br/>

    <div ng-class="styleObj">Test</div>
</div>

</body>
</html>